import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var BASE_CLASS = 'sui-AtomCard';
var CLASS_MEDIA = BASE_CLASS + "-media";
var CLASS_INFO = BASE_CLASS + "-info";
var CLASS_VERTICAL = BASE_CLASS + "--vertical";
var CLASS_RESPONSIVE = BASE_CLASS + "--responsive";
var CLASS_HIGHLIGHT = BASE_CLASS + "--highlight";
var CLASS_LINK = BASE_CLASS + "-link";

var AtomCard = function AtomCard(_ref) {
  var Media = _ref.media,
      Content = _ref.content,
      vertical = _ref.vertical,
      responsive = _ref.responsive,
      highlight = _ref.highlight,
      href = _ref.href,
      tabIndex = _ref.tabIndex;

  var redirectToHref = function redirectToHref() {
    if (href) window.location.href = href;
  };

  var redirectOnEnter = function redirectOnEnter(e) {
    if (e.key === 'Enter') redirectToHref();
  };

  var isVertical = vertical && !responsive;
  var classNames = cx(BASE_CLASS, isVertical && CLASS_VERTICAL, responsive && CLASS_RESPONSIVE, highlight && CLASS_HIGHLIGHT, href && CLASS_LINK);
  return React.createElement("div", {
    className: classNames,
    tabIndex: tabIndex,
    onClick: redirectToHref,
    onKeyDown: redirectOnEnter
  }, React.createElement("div", {
    className: CLASS_MEDIA
  }, React.createElement(Media, null)), React.createElement("div", {
    className: CLASS_INFO
  }, React.createElement(Content, null)));
};

AtomCard.displayName = 'AtomCard';
export default AtomCard;